%global glib2_minver 2.72

Name:           btrfsd
Version:        0.1.0
Release:        1%{?dist}
Summary:        Tiny Btrfs maintenance daemon

License:        LGPL-2.1-or-later
URL:            https://github.com/ximion/btrfsd
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# Backport from upstream
## From: https://github.com/ximion/btrfsd/commit/2e512e1cd9c13d4c66dd89895ee86e69be7629d9
Patch0001:      0001-Autodetect-btrfs-executable-location-by-default.patch

BuildRequires:  docbook-style-xsl
BuildRequires:  btrfs-progs
BuildRequires:  meson >= 0.60
BuildRequires:  gcc
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_minver}
BuildRequires:  pkgconfig(gobject-2.0) >= %{glib2_minver}
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_minver}
BuildRequires:  pkgconfig(json-glib-1.0) >= 1.6.2
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(mount)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  systemd-rpm-macros
BuildRequires:  /usr/bin/xsltproc
Requires:       btrfs-progs

%description
Btrfsd is a lightweight daemon that takes care of all Btrfs filesystems
on a Linux system.

It will:

* Check stats for errors and broadcast a warning if any were found
* Perform scrub periodically if system is not on battery
* Run balance (rarely, if system is not on battery)

The daemon is explicitly designed to be run on any system, from a
small notebook to a large storage server. Depending on the system,
it should make the best possible decision for running maintenance jobs,
but may also be tweaked by the user. If no Btrfs filesystems are found,
the daemon will be completely inert.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install


%check
%meson_test


%files
%license LICENSE
%doc README.md NEWS.md
%{_libexecdir}/%{name}
%{_mandir}/man8/%{name}.8*
%config(noreplace) %{_sysconfdir}/%{name}/settings.conf
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.timer


%changelog
* Thu Aug 24 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.1.0
- Initial packaging
